## hexinject 1.5-1maemo0

=== Makefile ===
all:
	gcc -o hexinject hexinject.c -lpcap -I/usr/include/pcap
	gcc -o prettypacket prettypacket.c
	gcc -o hex2raw hex2raw.c

clean:
	rm -f hexinject prettypacket hex2raw *~

=== debian/changelog ===
hexinject (1.5-1maemo0) precise; urgency=low

  * Give it a try ...

 -- COLIN Stephane <colin.stephane@ovi.com>  Sat, 30 Mar 2013 20:21:38 +0100

hexinject (1.5-1precise0) precise; urgency=low

  [ Emanuele Acri ]
  * Added hex2raw to the install list

  [ Wahyu Agung (wagung) ]
  * Imported to ubuntu

 -- Emanuele Acri <crossbower@kali.org>  Thu, 07 Mar 2013 22:32:30 +0100

hexinject (1.5-1kali0) kali; urgency=low

  * Update to version 1.5

 -- Emanuele Acri <crossbower@kali.org>  Tue, 05 Mar 2013 11:13:36 +0100

hexinject (1.4.1-1kali1) kali; urgency=low

  * Removed desktop files

 -- Mati Aharoni <muts@kali.org>  Sat, 15 Dec 2012 15:18:45 -0500

hexinject (1.4.1-1kali0) kali; urgency=low

  * Initial release 

 -- Devon Kearns <dookie@kali.org>  Fri, 07 Dec 2012 06:53:24 -0700

=== debian/control ===
Source: hexinject
Section: net
Priority: extra
Maintainer: Devon Kearns <dookie@kali.org>
Build-Depends: debhelper (>= 7), libpcap-dev | libpcap0.8-dev
Standards-Version: 3.9.3
Homepage: http://hexinject.sourceforge.net/
Vcs-Git: ssh://git@git.kali.org/packages/hexinject.git
Vcs-Browser: http://git.kali.org/gitweb/?p=packages/hexinject.git;a=summary

Package: hexinject
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, tcl8.5
Description: Versatile packet injector and sniffer
 HexInject is a very versatile packet injector and sniffer, 
 that provide a command-line framework for raw network 
 access.
 .
 It's designed to work together with others command-line 
 utilities, and for this reason it facilitates the creation 
 of powerful shell scripts capable of reading, intercepting 
 and modifying network traffic in a transparent manner.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DEB_CONFIGURE_EXTRA_FLAGS = CPPFLAGS="-I/usr/include/pcap"

%:
	dh $@ 
override_dh_auto_clean:

=== debian/watch ===
version=3

http://sf.net/hexinject/hexinject-(.*)\.tar\.gz

## hexinject 1.6

=== Makefile ===
CC = gcc
CFLAGS = -Wall
LDFLAGS = -lpcap

all:
	$(CC) $(CFLAGS) $(LDFLAGS) -o hexinject hexinject.c
	$(CC) $(CFLAGS) $(LDFLAGS) -o prettypacket prettypacket.c
	$(CC) $(CFLAGS) $(LDFLAGS) -o hex2raw hex2raw.c

clean:
	rm -f hexinject prettypacket hex2raw *~

=== debian/changelog ===
hexinject (1.6-0kali3) kali-dev; urgency=medium

  [ Ben Wilson ]
  * Update email address
  * Add Uploaders

  [ Kali Janitor ]
  * Trim trailing whitespace.
  * Use secure URI in Homepage field.
  * Update standards version to 4.6.1, no changes needed.
  * Update standards version to 4.6.2, no changes needed.

  [ Steev Klimaszewski ]
  * d/watch: Update to use sourceforge not debian redirector.
  * Prepare for Release

 -- Steev Klimaszewski <steev@kali.org>  Sat, 08 Apr 2023 19:23:49 -0500

hexinject (1.6-0kali2) kali-dev; urgency=medium

  [ Raphaël Hertzog ]
  * Update Maintainer field
  * Update Vcs-* fields for the move to gitlab.com
  * Add GitLab's CI configuration file
  * Configure git-buildpackage for Kali
  * Update URL in GitLab's CI configuration file

  [ Sophie Brun ]
  * Refresh patches
  * Bump Standards-Version to 4.5.1
  * Use debhelper-compat 13
  * Use version 4 in debian/watch

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 15 Jun 2021 16:15:34 +0200

hexinject (1.6-0kali1) kali-dev; urgency=medium

  * Import new upstream release
  * Update debian/copyright
  * Update to use debhelper 10
  * Drop the useless patch fix-for-gcc5.patch
  * Add a patch inject-correct-flags.patch

 -- Sophie Brun <sophie@offensive-security.com>  Thu, 05 Jan 2017 11:39:15 +0100

hexinject (1.5-1kali5) kali-dev; urgency=medium

  * Update debian/watch

 -- Sophie Brun <sophie@offensive-security.com>  Mon, 17 Oct 2016 11:23:45 +0200

hexinject (1.5-1kali4) kali-dev; urgency=medium

  * Add a patch to compile with gcc5
  * Add a dependency on tcl

 -- Sophie Brun <sophie@offensive-security.com>  Thu, 10 Mar 2016 10:12:01 +0100

hexinject (1.5-1kali3) kali; urgency=low

  * Installing missing binaries

 -- Devon Kearns <dookie@kali.org>  Wed, 18 Mar 2015 18:30:14 -0600

hexinject (1.5-1kali2) kali; urgency=low

  * Version bump

 -- Mati Aharoni <muts@kali.org>  Fri, 23 May 2014 09:05:28 -0400

hexinject (1.5-1kali1) kali; urgency=low

  * Upstream update

 -- Mati Aharoni <muts@kali.org>  Fri, 23 May 2014 07:58:48 -0400

=== debian/control ===
Source: hexinject
Section: net
Priority: optional
Maintainer: Kali Developers <devel@kali.org>
Uploaders: Mati Aharoni <muts@kali.org>,
           Devon Kearns <dookie@kali.org>,
           Sophie Brun <sophie@offensive-security.com>,
Build-Depends: debhelper-compat (= 13), libpcap-dev
Standards-Version: 4.6.2
Homepage: https://hexinject.sourceforge.net/
Vcs-Git: https://gitlab.com/kalilinux/packages/hexinject.git
Vcs-Browser: https://gitlab.com/kalilinux/packages/hexinject

Package: hexinject
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, tcl
Description: Versatile packet injector and sniffer
 HexInject is a very versatile packet injector and sniffer,
 that provide a command-line framework for raw network
 access.
 .
 It's designed to work together with others command-line
 utilities, and for this reason it facilitates the creation
 of powerful shell scripts capable of reading, intercepting
 and modifying network traffic in a transparent manner.

=== debian/watch ===
version=4
opts=searchmode=plain \
https://sourceforge.net/projects/hexinject/rss?limit=10000000000000000000 \
https?://.*/hexinject-(\d.*)\.tar\.gz
